Bug 208094 - Enable lazy image loading by default
Summary: Enable lazy image loading by default
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Images (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Enhancement
Assignee: Nikos Mouchtaris
URL:
Keywords: InRadar
Depends on: 200764 203557 207901 208119
Blocks: 196698
  Show dependency treegraph
 
Reported: 2020-02-22 12:28 PST by Maciej Stachowiak
Modified: 2021-10-14 19:22 PDT (History)
12 users (show)

See Also:


Attachments
Patch (1.38 KB, patch)
2021-10-14 10:27 PDT, Nikos Mouchtaris
simon.fraser: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
enable lazy image load for webkit (1.23 KB, patch)
2021-10-14 13:25 PDT, Nikos Mouchtaris
no flags Details | Formatted Diff | Diff
enable lazy image load for webkit (1.23 KB, patch)
2021-10-14 14:42 PDT, Nikos Mouchtaris
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Stachowiak 2020-02-22 12:28:07 PST
This bug tracks enabling lazy image loading by default in WebKit trunk, once it seems ready.
Comment 1 Maciej Stachowiak 2020-02-22 12:29:21 PST
I'm not sure it's ready to be turned on yet, but this is a bug to track for when it's ready.
Comment 2 Radar WebKit Bug Importer 2020-02-22 12:30:22 PST
<rdar://problem/59700020>
Comment 3 Addy Osmani 2021-10-13 22:32:51 PDT
With the dependencies for this bug now closed (200764, 203557, 207901, 208119), is there a good chance loading=lazy might be turned on by default soon?
Comment 4 Nikos Mouchtaris 2021-10-14 10:27:52 PDT
Created attachment 441235 [details]
Patch
Comment 5 Simon Fraser (smfr) 2021-10-14 12:13:18 PDT
Comment on attachment 441235 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=441235&action=review

> Source/WTF/Scripts/Preferences/WebPreferencesExperimental.yaml:694
> -      default: false
> +      default: true

Is this tested?

> Source/WTF/Scripts/Preferences/WebPreferencesExperimental.yaml:698
> -      default: false
> +      default: true

I think you want to leave this off by default. It only applies in some weird situations (maybe the fake Page associated with SVG images or something).
Comment 6 Nikos Mouchtaris 2021-10-14 13:25:40 PDT
Created attachment 441268 [details]
enable lazy image load for webkit
Comment 7 Nikos Mouchtaris 2021-10-14 14:42:59 PDT
Created attachment 441289 [details]
enable lazy image load for webkit
Comment 8 EWS 2021-10-14 19:22:01 PDT
Committed r284228 (243037@main): <https://commits.webkit.org/243037@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 441289 [details].